Subject: Re: Feature request: Add --mtime option to git archive

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Feb 2023 14:21:36 -0800

Jeff King <[email-masked]> writes:

> On Thu, Feb 16, 2023 at 12:41:42PM -0700, Raul E Rangel wrote:
>
>> When generating a tarball with `git archive <tree>`, `git archive` will
>> use the current time as the mtime. This results in a non-hermetic
>> tarball. Could we should add a --mtime option that allows passing in
>> the time? 
>
> That seems like a very reasonable feature to have. Just to sketch out
> the implementation, in case anybody wants to work on it: ...

There has been a discussion on not just "fix mtime" but coming up
with a lot more stable tar archive format specification.

The first link is about documenting the status quo.  The second one
is about the proposed format that aims to be stable.

https://lore.kernel.org/git/[email-masked]/
https://lore.kernel.org/git/[email-masked]/